> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a multi-turn test



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/projects/{project_id}/multi-turns/{multi_turn_id}
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects/{project_id}/multi-turns/{multi_turn_id}:
    get:
      tags:
        - Multi-Turn Tests
      summary: Get details of a multi-turn test
      operationId: MetisServicePublic_GetMultiTurn
      parameters:
        - name: project_id
          description: The UUID of the project
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: multi_turn_id
          description: The UUID of the multi-turn test
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1betaGetMultiTurnResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      security:
        - BearerAuth: []
components:
  schemas:
    v1betaGetMultiTurnResponse:
      type: object
      properties:
        multi_turn:
          $ref: '#/components/schemas/v1betaMultiTurn'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1betaMultiTurn:
      type: object
      properties:
        id:
          type: string
          format: uuid
          title: Unique identifier for the multi-turn test
        project_id:
          type: string
          format: uuid
          title: The UUID of the project
        attack_name:
          type: string
          title: Name of the attack scenario
        goal:
          type: string
          title: Goal of the attack/test scenario
        progress:
          $ref: '#/components/schemas/v1betaTestProgress'
        completed_at:
          type: string
          format: date-time
          title: ISO8601 timestamp when the test completed, nullable
        outcome:
          $ref: '#/components/schemas/v1betaTestOutcome'
        score:
          type: integer
          format: int32
          title: Numerical score for the test run
        reason:
          type: string
          title: Explanation or summary of the test outcome
        attack_duration_ms:
          type: integer
          format: int32
          title: Duration in milliseconds for the entire attack
        events:
          type: array
          items:
            $ref: '#/components/schemas/v1betaMultiTurnEvent'
          title: List of attack events
      title: >-
        A multi-turn test record; events are populated only in single-item
        responses
      required:
        - id
        - project_id
        - attack_name
        - goal
        - progress
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v1betaTestProgress:
      type: string
      enum:
        - TEST_PROGRESS_UNSPECIFIED
        - TEST_PROGRESS_IN_PROGRESS
        - TEST_PROGRESS_COMPLETED
      default: TEST_PROGRESS_UNSPECIFIED
    v1betaTestOutcome:
      type: string
      enum:
        - TEST_OUTCOME_UNSPECIFIED
        - TEST_OUTCOME_NORMAL
        - TEST_OUTCOME_FLAGGED
        - TEST_OUTCOME_ERROR
      default: TEST_OUTCOME_UNSPECIFIED
    v1betaMultiTurnEvent:
      type: object
      properties:
        event_id:
          type: string
          format: uuid
          title: UUID for the event
        outcome:
          $ref: '#/components/schemas/v1betaTestOutcome'
        sum_conversation_duration_ms:
          type: number
          format: float
          title: Total duration for this event in ms (can be float)
        name:
          type: string
          title: Display name for the event
        conversations:
          type: array
          items:
            $ref: '#/components/schemas/v1betaMultiTurnConversation'
          title: List of conversation objects for this event
      title: >-
        A single attack event within a multi-turn test, containing its
        conversations
      required:
        - event_id
        - outcome
        - sum_conversation_duration_ms
        - name
    v1betaMultiTurnConversation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          title: Unique identifier for the conversation entry
        request:
          type: string
          title: Text sent to the target
        response:
          type: string
          title: Text received from the target
        duration_ms:
          type: number
          format: float
          title: Time in ms for the target to respond
        error_code:
          type: integer
          format: int32
          title: Code for any raised error (0 if no error)
        error_message:
          type: string
          title: Message for any raised error (empty if no error)
        outcome:
          $ref: '#/components/schemas/v1betaConversationOutcome'
        score:
          type: integer
          format: int32
          title: Score for this conversation entry (scoring dependent on attack type)
        reason:
          type: string
          title: Reason for the score of this conversation entry
        turn_index:
          type: integer
          format: int32
          title: >-
            Logical conversation turn number (zero-based), which does not change
            across retries of the same turn
        retry_index:
          type: integer
          format: int32
          title: >-
            Number of times this conversation entry has been retried (0 if not
            retried)
      title: A single conversation turn within a multi-turn event
      required:
        - id
        - request
        - response
        - duration_ms
        - error_code
        - error_message
        - outcome
        - score
        - reason
        - turn_index
        - retry_index
    v1betaConversationOutcome:
      type: string
      enum:
        - CONVERSATION_OUTCOME_UNSPECIFIED
        - CONVERSATION_OUTCOME_NORMAL
        - CONVERSATION_OUTCOME_FLAGGED
        - CONVERSATION_OUTCOME_ERROR
        - CONVERSATION_OUTCOME_REJECTED
      default: CONVERSATION_OUTCOME_UNSPECIFIED
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````